Index: plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.dotclear.js
===================================================================
--- plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.dotclear.js	(revision 3735)
+++ plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.dotclear.js	(revision 3880)
@@ -13,5 +13,5 @@
 
   this.elements.link.data = {};
-  var url = this.elements.link.open_url + args;
+  const url = this.elements.link.open_url + args;
 
   window.open(url, 'dc_popup',
@@ -24,5 +24,5 @@
 };
 jsToolBar.prototype.elements.link.fncall.wiki = function() {
-  var data = this.elements.link.data;
+  const data = this.elements.link.data;
 
   if (data.href == '') {
@@ -30,5 +30,5 @@
   }
 
-  var etag = '|' + data.href;
+  let etag = '|' + data.href;
   if (data.hreflang) {
     etag += '|' + data.hreflang;
@@ -43,15 +43,15 @@
 
   if (data.content) {
-    this.encloseSelection('[' + data.content, etag + ']');
+    this.encloseSelection(`[${data.content}`, `${etag}]`);
   } else {
-    this.encloseSelection('[', etag + ']');
+    this.encloseSelection('[', `${etag}]`);
   }
 };
 
 jsToolBar.prototype.elements.link.fn.xhtml = function() {
-  this.elements.link.popup.call(this, '&hreflang=' + this.elements.link.default_hreflang);
+  this.elements.link.popup.call(this, `&hreflang=${this.elements.link.default_hreflang}`);
 };
 jsToolBar.prototype.elements.link.fncall.xhtml = function() {
-  var data = this.elements.link.data;
+  const data = this.elements.link.data;
 
   if (data.href == '') {
@@ -59,14 +59,14 @@
   }
 
-  var stag = '<a href="' + data.href + '"';
+  let stag = `<a href="${data.href}"`;
 
   if (data.hreflang) {
-    stag += ' hreflang="' + data.hreflang + '"';
+    stag += ` hreflang="${data.hreflang}"`;
   }
   if (data.title) {
-    stag += ' title="' + data.title + '"';
+    stag += ` title="${data.title}"`;
   }
   stag += '>';
-  var etag = '</a>';
+  const etag = '</a>';
 
   if (data.content) {
@@ -80,5 +80,7 @@
 
 jsToolBar.prototype.elements.link.fn.wysiwyg = function() {
-  var href, title, hreflang;
+  let href;
+  let title;
+  let hreflang;
   href = title = hreflang = '';
   hreflang = this.elements.link.default_hreflang;
@@ -92,10 +94,10 @@
   }
 
-  this.elements.link.popup.call(this, '&href=' + href + '&hreflang=' + hreflang + '&title=' + title);
+  this.elements.link.popup.call(this, `&href=${href}&hreflang=${hreflang}&title=${title}`);
 };
 jsToolBar.prototype.elements.link.fncall.wysiwyg = function() {
-  var data = this.elements.link.data;
-
-  var a = this.getAncestor();
+  const data = this.elements.link.data;
+
+  let a = this.getAncestor();
 
   if (a.tagName == 'a') {
@@ -123,5 +125,5 @@
 
   // Create link
-  var n;
+  let n;
   if (data.content) {
     n = document.createTextNode(data.content);
@@ -137,9 +139,10 @@
 };
 jsToolBar.prototype.getAncestor = function() {
-  var res = {};
-  var range, commonAncestorContainer;
+  let res = {};
+  let range;
+  let commonAncestorContainer;
 
   if (this.iwin.getSelection) { //gecko
-    var selection = this.iwin.getSelection();
+    const selection = this.iwin.getSelection();
     range = selection.getRangeAt(0);
     commonAncestorContainer = range.commonAncestorContainer;
@@ -152,5 +155,5 @@
   }
 
-  var ancestorTagName = commonAncestorContainer.tagName.toLowerCase();
+  let ancestorTagName = commonAncestorContainer.tagName.toLowerCase();
   while (ancestorTagName != 'a' && ancestorTagName != 'body') {
     commonAncestorContainer = commonAncestorContainer.parentNode;
@@ -193,6 +196,6 @@
 
   this.encloseSelection('', '', function(str) {
-    var alt = (str) ? str : d.title;
-    var res = '((' + d.src + '|' + alt;
+    const alt = (str) ? str : d.title;
+    let res = `((${d.src}|${alt}`;
 
     if (d.alignment == 'left') {
@@ -207,5 +210,5 @@
 
     if (d.description) {
-      res += '|' + d.description;
+      res += `|${d.description}`;
     }
 
@@ -213,6 +216,5 @@
 
     if (d.link) {
-      var ltitle = (alt) ? '||' + alt : '';
-      res = '[' + res + '|' + d.url + ltitle + ']';
+      res = `[${res}|${d.url}${(alt) ? `||${alt}` : ''}]`;
     }
 
@@ -224,5 +226,5 @@
 };
 jsToolBar.prototype.elements.img_select.fncall.xhtml = function() {
-  var d = this.elements.img_select.data;
+  const d = this.elements.img_select.data;
   if (d.src == undefined) {
     return;
@@ -230,6 +232,6 @@
 
   this.encloseSelection('', '', function(str) {
-    var alt = (str) ? str : d.title;
-    var res = '<img src="' + d.src + '" alt="' + alt.replace('&', '&amp;').replace('>', '&gt;').replace('<', '&lt;').replace('"', '&quot;') + '"';
+    const alt = (str) ? str : d.title;
+    let res = `<img src="${d.src}" alt="${alt.replace('&', '&amp;').replace('>', '&gt;').replace('<', '&lt;').replace('"', '&quot;')}"`;
 
     if (d.alignment == 'left') {
@@ -242,5 +244,5 @@
 
     if (d.description) {
-      res += ' title="' + d.description.replace('&', '&amp;').replace('>', '&gt;').replace('<', '&lt;').replace('"', '&quot;') + '"';
+      res += ` title="${d.description.replace('&', '&amp;').replace('>', '&gt;').replace('<', '&lt;').replace('"', '&quot;')}"`;
     }
 
@@ -248,6 +250,6 @@
 
     if (d.link) {
-      var ltitle = (alt) ? ' title="' + alt.replace('&', '&amp;').replace('>', '&gt;').replace('<', '&lt;').replace('"', '&quot;') + '"' : '';
-      res = '<a href="' + d.url + '"' + ltitle + '>' + res + '</a>';
+      const ltitle = (alt) ? ` title="${alt.replace('&', '&amp;').replace('>', '&gt;').replace('<', '&lt;').replace('"', '&quot;')}"` : '';
+      res = `<a href="${d.url}"${ltitle}>${res}</a>`;
     }
 
@@ -257,10 +259,10 @@
 
 jsToolBar.prototype.elements.img.fn.wysiwyg = function() {
-  var src = this.elements.img.prompt.call(this);
+  const src = this.elements.img.prompt.call(this);
   if (!src) {
     return;
   }
 
-  var img = this.iwin.document.createElement('img');
+  const img = this.iwin.document.createElement('img');
   img.src = src;
   img.setAttribute('alt', this.getSelectedText());
@@ -273,11 +275,11 @@
 };
 jsToolBar.prototype.elements.img_select.fncall.wysiwyg = function() {
-  var d = this.elements.img_select.data;
-  var alt = (this.getSelectedText()) ? this.getSelectedText() : d.title;
+  const d = this.elements.img_select.data;
+  const alt = (this.getSelectedText()) ? this.getSelectedText() : d.title;
   if (d.src == undefined) {
     return;
   }
 
-  var img = this.iwin.document.createElement('img');
+  const img = this.iwin.document.createElement('img');
   img.src = d.src;
   img.setAttribute('alt', alt);
@@ -316,5 +318,5 @@
 
   if (d.link) {
-    var a = this.iwin.document.createElement('a');
+    const a = this.iwin.document.createElement('a');
     a.href = d.url;
     if (alt) {
@@ -334,5 +336,5 @@
 };
 jsToolBar.prototype.elements.mp3_insert.fncall.wiki = function() {
-  var d = this.elements.mp3_insert.data;
+  const d = this.elements.mp3_insert.data;
   if (d.player == undefined) {
     return;
@@ -344,5 +346,5 @@
 };
 jsToolBar.prototype.elements.mp3_insert.fncall.xhtml = function() {
-  var d = this.elements.mp3_insert.data;
+  const d = this.elements.mp3_insert.data;
   if (d.player == undefined) {
     return;
@@ -363,5 +365,5 @@
 };
 jsToolBar.prototype.elements.flv_insert.fncall.wiki = function() {
-  var d = this.elements.flv_insert.data;
+  const d = this.elements.flv_insert.data;
   if (d.player == undefined) {
     return;
@@ -373,5 +375,5 @@
 };
 jsToolBar.prototype.elements.flv_insert.fncall.xhtml = function() {
-  var d = this.elements.flv_insert.data;
+  const d = this.elements.flv_insert.data;
   if (d.player == undefined) {
     return;
Index: plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.js
===================================================================
--- plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.js	(revision 3735)
+++ plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.js	(revision 3880)
@@ -24,5 +24,5 @@
  */
 
-var jsToolBar = function(textarea) {
+const jsToolBar = function(textarea) {
   if (!document.createElement) {
     return;
@@ -59,6 +59,6 @@
       this.handle = document.createElement('div');
       this.handle.className = 'jstHandle';
-      var dragStart = this.resizeDragStart;
-      var This = this;
+      const dragStart = this.resizeDragStart;
+      const This = this;
       this.handle.addEventListener('mousedown', function(event) {
         dragStart.call(This, event);
@@ -73,5 +73,5 @@
 };
 
-var jsButton = function(title, fn, scope, className, accesskey) {
+const jsButton = function(title, fn, scope, className, accesskey) {
   this.title = title || null;
   this.fn = fn || function() {};
@@ -83,10 +83,10 @@
   if (!this.scope) return null;
 
-  var button = document.createElement('button');
+  const button = document.createElement('button');
   button.setAttribute('type', 'button');
   if (this.className) button.className = this.className;
   button.title = this.title;
   if (this.accesskey) button.accessKey = this.accesskey;
-  var span = document.createElement('span');
+  const span = document.createElement('span');
   span.appendChild(document.createTextNode(this.title));
   button.appendChild(span);
@@ -96,5 +96,5 @@
   }
   if (typeof(this.fn) == 'function') {
-    var This = this;
+    const This = this;
     button.onclick = function() {
       try {
@@ -107,10 +107,10 @@
 };
 
-var jsSpace = function(id) {
+const jsSpace = function(id) {
   this.id = id || null;
   this.width = null;
 };
 jsSpace.prototype.draw = function() {
-  var span = document.createElement('span');
+  const span = document.createElement('span');
   if (this.id) span.id = this.id;
   span.appendChild(document.createTextNode(String.fromCharCode(160)));
@@ -121,5 +121,5 @@
 };
 
-var jsCombo = function(title, options, scope, fn, className) {
+const jsCombo = function(title, options, scope, fn, className) {
   this.title = title || null;
   this.options = options || null;
@@ -131,11 +131,11 @@
   if (!this.scope || !this.options) return null;
 
-  var select = document.createElement('select');
+  const select = document.createElement('select');
   if (this.className) select.className = this.className;
   select.title = this.title;
 
-  for (var o in this.options) {
+  for (let o in this.options) {
     //var opt = this.options[o];
-    var option = document.createElement('option');
+    const option = document.createElement('option');
     option.value = o;
     option.appendChild(document.createTextNode(this.options[o]));
@@ -143,5 +143,5 @@
   }
 
-  var This = this;
+  const This = this;
   select.onchange = function() {
     try {
@@ -177,7 +177,7 @@
 
   button: function(toolName) {
-    var tool = this.elements[toolName];
+    const tool = this.elements[toolName];
     if (typeof tool.fn[this.mode] != 'function') return null;
-    var b = new jsButton(tool.title, tool.fn[this.mode], this, 'jstb_' + toolName, tool.accesskey);
+    const b = new jsButton(tool.title, tool.fn[this.mode], this, 'jstb_' + toolName, tool.accesskey);
     if (tool.icon != undefined) {
       b.icon = tool.icon;
@@ -186,5 +186,5 @@
   },
   space: function(toolName) {
-    var tool = new jsSpace(toolName);
+    const tool = new jsSpace(toolName);
     if (this.elements[toolName].format != undefined && !this.elements[toolName].format[this.mode]) return null;
     if (this.elements[toolName].width !== undefined) {
@@ -194,16 +194,16 @@
   },
   combo: function(toolName) {
-    var tool = this.elements[toolName];
+    const tool = this.elements[toolName];
 
     if (tool[this.mode] != undefined) {
 
-      var length = tool[this.mode].list.length;
+      const length = tool[this.mode].list.length;
 
       if (typeof tool[this.mode].fn != 'function' || length == 0) {
         return null;
       } else {
-        var options = {};
-        for (var i = 0; i < length; i++) {
-          var opt = tool[this.mode].list[i];
+        let options = {};
+        for (let i = 0; i < length; i++) {
+          const opt = tool[this.mode].list[i];
           options[opt] = tool.options[opt];
         }
@@ -224,10 +224,12 @@
 
     // Draw toolbar elements
-    var b, tool, newTool;
-
-    for (var i in this.elements) {
+    let b;
+    let tool;
+    let newTool;
+
+    for (let i in this.elements) {
       b = this.elements[i];
 
-      var disabled =
+      const disabled =
         b.type == undefined || b.type == '' ||
         (b.disabled != undefined && b.disabled) ||
@@ -262,5 +264,10 @@
     suffix = suffix || '';
 
-    var start, end, sel, scrollPos, subst, res;
+    let start;
+    let end;
+    let sel;
+    let scrollPos;
+    let subst;
+    let res;
 
     if (typeof(document.selection) != "undefined") {
@@ -305,5 +312,5 @@
   stripBaseURL: function(url) {
     if (this.base_url != '') {
-      var pos = url.indexOf(this.base_url);
+      const pos = url.indexOf(this.base_url);
       if (pos == 0) {
         url = url.substr(this.base_url.length);
@@ -321,5 +328,5 @@
 };
 jsToolBar.prototype.resizeDragStart = function(event) {
-  var This = this;
+  const This = this;
   this.dragStartY = event.clientY;
   this.resizeSetStartH();
@@ -364,5 +371,5 @@
       else
         try {
-          this.singleTag('<' + opt + '>', '</' + opt + '>');
+          this.singleTag(`<${opt}>`, `</${opt}>`);
         } catch (e) {}
       this.toolNodes.blocks.value = 'nonebis';
@@ -688,7 +695,7 @@
     this.encloseSelection('', '', function(str) {
       if (str) {
-        return '<img src="' + src + '" alt="' + str + '" />';
+        return `<img src="${src}" alt="${str}" />`;
       } else {
-        return '<img src="' + src + '" alt="" />';
+        return `<img src="${src}" alt="" />`;
       }
     });
@@ -700,7 +707,7 @@
     this.encloseSelection('', '', function(str) {
       if (str) {
-        return '((' + src + '|' + str + '))';
+        return `((${src}|${str}))`;
       } else {
-        return '((' + src + '))';
+        return `((${src}))`;
       }
     });
Index: plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.wysiwyg.js
===================================================================
--- plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.wysiwyg.js	(revision 3736)
+++ plugins/dcLegacyEditor/js/jsToolBar/jsToolBar.wysiwyg.js	(revision 3880)
@@ -64,10 +64,10 @@
 jsToolBar.prototype.syncContents = function(from) {
   from = from || 'textarea';
-  var This = this;
+  const This = this;
   if (from == 'textarea') {
     initContent();
   } else {
     this.validBlockquote();
-    var html = this.applyHtmlFilters(this.ibody.innerHTML);
+    let html = this.applyHtmlFilters(this.ibody.innerHTML);
     if (html == '<br />') {
       html = '<p></p>';
@@ -86,5 +86,5 @@
       This.ibody.innerHTML = This.applyWysiwygFilters(This.textarea.value);
       if (This.ibody.createTextRange) { //cursor at the begin for IE
-        var IErange = This.ibody.createTextRange();
+        const IErange = This.ibody.createTextRange();
         IErange.execCommand("SelectAll");
         IErange.collapse();
@@ -92,6 +92,6 @@
       }
     } else {
-      var idoc = This.iwin.document;
-      var para = idoc.createElement('p');
+      const idoc = This.iwin.document;
+      const para = idoc.createElement('p');
       para.appendChild(idoc.createElement('br'));
       while (idoc.body.hasChildNodes()) {
@@ -108,5 +108,5 @@
 };
 jsToolBar.prototype.applyHtmlFilters = function(str) {
-  for (var fn in this.htmlFilters) {
+  for (let fn in this.htmlFilters) {
     str = this.htmlFilters[fn].call(this, str);
   }
@@ -115,5 +115,5 @@
 jsToolBar.prototype.wysiwygFilters = {};
 jsToolBar.prototype.applyWysiwygFilters = function(str) {
-  for (var fn in this.wysiwygFilters) {
+  for (let fn in this.wysiwygFilters) {
     str = this.wysiwygFilters[fn].call(this, str);
   }
@@ -143,5 +143,5 @@
  */
 jsToolBar.prototype.initWindow = function() {
-  var This = this;
+  const This = this;
 
   this.iframe = document.createElement('iframe');
@@ -160,5 +160,5 @@
 
   function initIframe() {
-    var doc = This.iframe.contentWindow.document;
+    const doc = This.iframe.contentWindow.document;
     if (!doc) {
       setTimeout(initIframe, 1);
@@ -167,14 +167,13 @@
 
     doc.open();
-    var html =
-      '<html>\n' +
-      '<head>\n' +
-      '<link rel="stylesheet" href="style/default.css" type="text/css" media="screen" />' +
-      '<style type="text/css">' + This.iframe_css + '</style>\n' +
-      (This.base_url != '' ? '<base href="' + This.base_url + '" />' : '') +
-      '</head>\n' +
-      '<body>\n' +
-      '</body>\n' +
-      '</html>';
+    const html =
+`<html>
+  <head>
+    <link rel="stylesheet" href="style/default.css" type="text/css" media="screen" />
+    <style type="text/css">${This.iframe_css}</style>
+    ${This.base_url != '' ? `<base href="${This.base_url}" />` : ''}
+  </head>
+  <body></body>
+</html>`;
 
     doc.write(html);
@@ -212,6 +211,6 @@
     }
 
-    for (var evt in This.iwinEvents) {
-      var event = This.iwinEvents[evt];
+    for (let evt in This.iwinEvents) {
+      const event = This.iwinEvents[evt];
       This.addIwinEvent(This.iframe.contentWindow.document, event.type, event.fn, This);
     }
@@ -227,5 +226,5 @@
 };
 jsToolBar.prototype.addIwinEvent = function(target, type, fn, scope) {
-  var myFn = function(e) {
+  const myFn = function(e) {
     fn.call(scope, e);
   };
@@ -260,9 +259,9 @@
   }
 
-  var This = this;
+  const This = this;
 
   function setLink(title, link) {
-    var li = document.createElement('li');
-    var a;
+    const li = document.createElement('li');
+    let a;
     if (link) {
       a = document.createElement('a');
@@ -307,5 +306,5 @@
       this.iwin.document.designMode = 'on';
     } catch (e) {} // Firefox needs this
-    var This = this;
+    const This = this;
     setTimeout(function() {
       This.iframe.contentWindow.focus();
@@ -326,5 +325,5 @@
 };
 jsToolBar.prototype.resizeDragMove = function(event) {
-  var new_height = (this.dragStartH + event.clientY - this.dragStartY) + 'px';
+  const new_height = `${this.dragStartH + event.clientY - this.dragStartY}px`;
   if (this.iframe != undefined) {
     this.iframe.style.height = new_height;
@@ -338,8 +337,8 @@
  */
 jsToolBar.prototype.insertNode = function(node) {
-  var range;
+  let range;
 
   if (this.iwin.getSelection) { // Gecko
-    var sel = this.iwin.getSelection();
+    const sel = this.iwin.getSelection();
     range = sel.getRangeAt(0);
 
@@ -366,5 +365,5 @@
   } else { // IE
     // lambda element
-    var p = this.iwin.document.createElement('div');
+    const p = this.iwin.document.createElement('div');
     p.appendChild(node);
     range = this.iwin.document.selection.createRange();
@@ -381,16 +380,16 @@
  */
 jsToolBar.prototype.getSelectedNode = function() {
-  var sel;
+  let sel;
   var content;
   if (this.iwin.getSelection) { // Gecko
     sel = this.iwin.getSelection();
-    var range = sel.getRangeAt(0);
+    const range = sel.getRangeAt(0);
     content = range.cloneContents();
   } else { // IE
     sel = this.iwin.document.selection;
-    var d = this.iwin.document.createElement('div');
+    const d = this.iwin.document.createElement('div');
     d.innerHTML = sel.createRange().htmlText;
     content = this.iwin.document.createDocumentFragment();
-    for (var i = 0; i < d.childNodes.length; i++) {
+    for (let i = 0; i < d.childNodes.length; i++) {
       content.appendChild(d.childNodes[i].cloneNode(true));
     }
@@ -405,5 +404,5 @@
     return this.iwin.getSelection().toString();
   } else { // IE
-    var range = this.iwin.document.selection.createRange();
+    const range = this.iwin.document.selection.createRange();
     return range.text;
   }
@@ -411,6 +410,6 @@
 
 jsToolBar.prototype.replaceNodeByContent = function(node) {
-  var content = this.iwin.document.createDocumentFragment();
-  for (var i = 0; i < node.childNodes.length; i++) {
+  const content = this.iwin.document.createDocumentFragment();
+  for (let i = 0; i < node.childNodes.length; i++) {
     content.appendChild(node.childNodes[i].cloneNode(true));
   }
@@ -419,9 +418,10 @@
 
 jsToolBar.prototype.getBlockLevel = function() {
-  var blockElts = ['p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6'];
-
-  var range, commonAncestorContainer;
+  const blockElts = ['p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6'];
+
+  let range;
+  let commonAncestorContainer;
   if (this.iwin.getSelection) { //gecko
-    var selection = this.iwin.getSelection();
+    const selection = this.iwin.getSelection();
     range = selection.getRangeAt(0);
     commonAncestorContainer = range.commonAncestorContainer;
@@ -434,5 +434,5 @@
   }
 
-  var ancestorTagName = commonAncestorContainer.tagName.toLowerCase();
+  let ancestorTagName = commonAncestorContainer.tagName.toLowerCase();
   while (arrayIndexOf(blockElts, ancestorTagName) == -1 && ancestorTagName != 'body') {
     commonAncestorContainer = commonAncestorContainer.parentNode;
@@ -443,5 +443,5 @@
 };
 jsToolBar.prototype.adjustBlockLevelCombo = function() {
-  var blockLevel = this.getBlockLevel();
+  const blockLevel = this.getBlockLevel();
   if (blockLevel !== null)
     this.toolNodes.blocks.value = blockLevel.tagName.toLowerCase();
@@ -471,5 +471,5 @@
  */
 jsToolBar.prototype.tagsoup2xhtml = function(html) {
-  for (var reg in this.simpleCleanRegex) {
+  for (let reg in this.simpleCleanRegex) {
     html = html.replace(this.simpleCleanRegex[reg][0], this.simpleCleanRegex[reg][1]);
   }
@@ -488,7 +488,7 @@
 
   /* IE laisse souvent des attributs sans guillemets */
-  var myRegexp = /<[^>]+((\s+\w+\s*=\s*)([^"'][\w~@+$,%\/:.#?=&;!*()-]*))[^>]*?>/;
-  var myQuoteFn = function(str, val1, val2, val3) {
-    var tamponRegex = new RegExp(regexpEscape(val1));
+  const myRegexp = /<[^>]+((\s+\w+\s*=\s*)([^"'][\w~@+$,%\/:.#?=&;!*()-]*))[^>]*?>/;
+  const myQuoteFn = function(str, val1, val2, val3) {
+    const tamponRegex = new RegExp(regexpEscape(val1));
     return str.replace(tamponRegex, val2 + '"' + val3 + '"');
   };
@@ -508,5 +508,5 @@
 
   /* Trim only if there's no pre tag */
-  var pattern_pre = /<pre>[\s\S]*<\/pre>/gi;
+  const pattern_pre = /<pre>[\s\S]*<\/pre>/gi;
   if (!pattern_pre.test(html)) {
     html = html.replace(/^\s+/gm, '');
@@ -517,15 +517,15 @@
 };
 jsToolBar.prototype.validBlockquote = function() {
-  var blockElts = ['address', 'blockquote', 'dl', 'div', 'fieldset', 'form', 'h1',
+  const blockElts = ['address', 'blockquote', 'dl', 'div', 'fieldset', 'form', 'h1',
     'h2', 'h3', 'h4', 'h5', 'h6', 'hr', 'ol', 'p', 'pre', 'table', 'ul'
   ];
-  var BQs = this.iwin.document.getElementsByTagName('blockquote');
-  var bqChilds;
-  var p;
-
-  for (var bq = 0; bq < BQs.length; bq++) {
+  const BQs = this.iwin.document.getElementsByTagName('blockquote');
+  let bqChilds;
+  let p;
+
+  for (let bq = 0; bq < BQs.length; bq++) {
     bqChilds = BQs[bq].childNodes;
-    var frag = this.iwin.document.createDocumentFragment();
-    for (var i = (bqChilds.length - 1); i >= 0; i--) {
+    let frag = this.iwin.document.createDocumentFragment();
+    for (let i = (bqChilds.length - 1); i >= 0; i--) {
       if (bqChilds[i].nodeType == 1 && // Node.ELEMENT_NODE
         arrayIndexOf(blockElts, bqChilds[i].tagName.toLowerCase()) >= 0) {
@@ -561,5 +561,5 @@
 
 jsToolBar.prototype.removeTextFormating = function(html) {
-  for (var reg in this.removeFormatRegexp) {
+  for (let reg in this.removeFormatRegexp) {
     html = html.replace(this.removeFormatRegexp[reg][0], this.removeFormatRegexp[reg][1]);
   }
@@ -576,5 +576,5 @@
   fn: function(opt) {
     if (opt == 'none') {
-      var blockLevel = this.getBlockLevel();
+      const blockLevel = this.getBlockLevel();
       if (blockLevel !== null) {
         this.replaceNodeByContent(blockLevel);
@@ -611,6 +611,6 @@
 
 jsToolBar.prototype.elements.quote.fn.wysiwyg = function() {
-  var n = this.getSelectedNode();
-  var q = this.iwin.document.createElement('q');
+  const n = this.getSelectedNode();
+  const q = this.iwin.document.createElement('q');
   q.appendChild(n);
   this.insertNode(q);
@@ -618,6 +618,6 @@
 
 jsToolBar.prototype.elements.code.fn.wysiwyg = function() {
-  var n = this.getSelectedNode();
-  var code = this.iwin.document.createElement('code');
+  const n = this.getSelectedNode();
+  const code = this.iwin.document.createElement('code');
   code.appendChild(n);
   this.insertNode(code);
@@ -625,6 +625,6 @@
 
 jsToolBar.prototype.elements.mark.fn.wysiwyg = function() {
-  var n = this.getSelectedNode();
-  var mark = this.iwin.document.createElement('mark');
+  const n = this.getSelectedNode();
+  const mark = this.iwin.document.createElement('mark');
   mark.appendChild(n);
   this.insertNode(mark);
@@ -632,11 +632,11 @@
 
 jsToolBar.prototype.elements.br.fn.wysiwyg = function() {
-  var n = this.iwin.document.createElement('br');
+  const n = this.iwin.document.createElement('br');
   this.insertNode(n);
 };
 
 jsToolBar.prototype.elements.blockquote.fn.wysiwyg = function() {
-  var n = this.getSelectedNode();
-  var q = this.iwin.document.createElement('blockquote');
+  const n = this.getSelectedNode();
+  const q = this.iwin.document.createElement('blockquote');
   q.appendChild(n);
   this.insertNode(q);
@@ -659,8 +659,10 @@
 
 jsToolBar.prototype.elements.link.fn.wysiwyg = function() {
-  var href, hreflang;
-  var range, commonAncestorContainer;
+  let href;
+  let hreflang;
+  let range;
+  let commonAncestorContainer;
   if (this.iwin.getSelection) { //gecko
-    var selection = this.iwin.getSelection();
+    const selection = this.iwin.getSelection();
     range = selection.getRangeAt(0);
     commonAncestorContainer = range.commonAncestorContainer;
@@ -673,5 +675,5 @@
   }
 
-  var ancestorTagName = commonAncestorContainer.tagName.toLowerCase();
+  let ancestorTagName = commonAncestorContainer.tagName.toLowerCase();
   while (ancestorTagName != 'a' && ancestorTagName != 'body') {
     commonAncestorContainer = commonAncestorContainer.parentNode;
@@ -707,6 +709,6 @@
 
   // Create link
-  var n = this.getSelectedNode();
-  var a = this.iwin.document.createElement('a');
+  const n = this.getSelectedNode();
+  const a = this.iwin.document.createElement('a');
   a.href = href;
   if (hreflang) a.setAttribute('hreflang', hreflang);
@@ -723,10 +725,10 @@
 jsToolBar.prototype.elements.removeFormat.disabled = !jsToolBar.prototype.can_wwg;
 jsToolBar.prototype.elements.removeFormat.fn.xhtml = function() {
-  var html = this.textarea.value;
+  let html = this.textarea.value;
   html = this.removeTextFormating(html);
   this.textarea.value = html;
 };
 jsToolBar.prototype.elements.removeFormat.fn.wysiwyg = function() {
-  var html = this.iwin.document.body.innerHTML;
+  let html = this.iwin.document.body.innerHTML;
   html = this.removeTextFormating(html);
   this.iwin.document.body.innerHTML = html;
@@ -738,7 +740,7 @@
     return aArray.indexOf(aValue);
   } else {
-    var index = -1;
-    var l = aArray.length;
-    for (var i = 0; i < l; i++) {
+    let index = -1;
+    const l = aArray.length;
+    for (let i = 0; i < l; i++) {
       if (aArray[i] === aValue) {
         index = i;
@@ -755,5 +757,5 @@
     return true;
   } else if (obj.attachEvent) {
-    var r = obj.attachEvent("on" + evType, fn);
+    const r = obj.attachEvent("on" + evType, fn);
     return r;
   } else {
@@ -767,5 +769,5 @@
     return true;
   } else if (obj.detachEvent) {
-    var r = obj.detachEvent("on" + evType, fn);
+    const r = obj.detachEvent("on" + evType, fn);
     return r;
   } else {
Index: plugins/dcLegacyEditor/js/jsToolBar/popup_link.js
===================================================================
--- plugins/dcLegacyEditor/js/jsToolBar/popup_link.js	(revision 3735)
+++ plugins/dcLegacyEditor/js/jsToolBar/popup_link.js	(revision 3880)
@@ -13,9 +13,9 @@
 
 	function sendClose() {
-		var insert_form = $('#link-insert-form').get(0);
+		const insert_form = $('#link-insert-form').get(0);
 		if (insert_form == undefined) { return; }
 
-		var tb = window.opener.the_toolbar;
-		var data = tb.elements.link.data;
+		const tb = window.opener.the_toolbar;
+		const data = tb.elements.link.data;
 
 		data.href = tb.stripBaseURL(insert_form.elements.href.value);
@@ -23,4 +23,4 @@
 		data.hreflang = insert_form.elements.hreflang.value;
 		tb.elements.link.fncall[tb.mode].call(tb);
-	};
+	}
 });
Index: plugins/dcLegacyEditor/js/jsToolBar/popup_media.js
===================================================================
--- plugins/dcLegacyEditor/js/jsToolBar/popup_media.js	(revision 3725)
+++ plugins/dcLegacyEditor/js/jsToolBar/popup_media.js	(revision 3880)
@@ -15,17 +15,18 @@
 
   function sendClose() {
-    var insert_form = $('#media-insert-form').get(0);
+    const insert_form = $('#media-insert-form').get(0);
     if (insert_form == undefined) {
       return;
     }
 
-    var tb = window.opener.the_toolbar;
-    var type = insert_form.elements.type.value;
-    var media_align_grid = {
+    const tb = window.opener.the_toolbar;
+    const type = insert_form.elements.type.value;
+    const media_align_grid = {
       left: 'float: left; margin: 0 1em 1em 0;',
       right: 'float: right; margin: 0 0 1em 1em;',
       center: 'text-align: center;'
     };
-    var align, player;
+    let align;
+    let player;
 
     if (type == 'image') {
@@ -38,5 +39,5 @@
       tb.elements.img_select.data.url = tb.stripBaseURL(insert_form.elements.url.value);
 
-      var media_legend = $('input[name="legend"]:checked', insert_form).val();
+      let media_legend = $('input[name="legend"]:checked', insert_form).val();
       if (media_legend != '' && media_legend != 'title' && media_legend != 'none') {
         media_legend = 'legend';
@@ -55,5 +56,5 @@
 
       if (align != undefined && align != 'none') {
-        player = '<div style="' + media_align_grid[align] + '">' + player + '</div>';
+        player = `<div style="${media_align_grid[align]}">${player}</div>`;
       }
 
@@ -62,5 +63,5 @@
     } else if (type == 'flv') // may be all video media, not only flv
     {
-      var oplayer = $('<div>' + $('#public_player').val() + '</div>');
+      var oplayer = $(`<div>${$('#public_player').val()}</div>`);
       var flashvars = $('[name=FlashVars]', oplayer).val();
 
@@ -98,5 +99,5 @@
 
       if (align != undefined && align != 'none') {
-        player = '<div style="' + media_align_grid[align] + '">' + player + '</div>';
+        player = `<div style="${media_align_grid[align]}">${player}</div>`;
       }
 
Index: plugins/dcLegacyEditor/js/jsToolBar/popup_posts.js
===================================================================
--- plugins/dcLegacyEditor/js/jsToolBar/popup_posts.js	(revision 3735)
+++ plugins/dcLegacyEditor/js/jsToolBar/popup_posts.js	(revision 3880)
@@ -9,6 +9,6 @@
 	$('#form-entries tr>td.maximal>a').click(function() {
 		// Get post_id
-		var tb = window.opener.the_toolbar;
-		var data = tb.elements.link.data;
+		const tb = window.opener.the_toolbar;
+		const data = tb.elements.link.data;
 
 		data.href = tb.stripBaseURL($(this).attr('title'));
